directories:
  output: win
  buildResources: build
productName: '创思学 '
copyright: Copyright © 2024 ${author}
appId: cn.ygsjyxx.js
asar: true
publish:
  - provider: generic
    url: http://file.jiustech.cn/uploads/soft/cxy3/win64/
    channel: latest
files:
  - filter:
      - ./package.json
      - ./main.js
      - ./preload.js
      - ./index.html
      - ./ball.html
      - ./static/**
      - ./assets/**
      - ./uni_modules/**
extraResources:
  - from: ./build
    to: ./build
win:
  icon: ./build/icon.ico
  artifactName: ${productName}_${version}.${ext}
nsis:
  oneClick: false
  perMachine: false
  allowElevation: true
  allowToChangeInstallationDirectory: true
  createDesktopShortcut: true
  createStartMenuShortcut: true
  shortcutName: 创思学
  runAfterFinish: false
  installerIcon: ./build/icon.ico
  uninstallerIcon: ./build/uninstall.ico
  installerHeaderIcon: ./build/icon.ico
electronVersion: 12.0.16
